Platform API reference

Platform API · Authentication

post/v1/auth/step-up/webauthn/optionsAuth

Get passkey options for step-up

A single-use WebAuthn challenge bound to this session. Browser-only.

Response · 200

public_key*object

`PublicKeyCredentialRequestOptions` (`challenge`, `rp_id`, `allow_credentials[]` with base64url ids, `user_verification`, `timeout`). Decode the base64url fields to ArrayBuffers and pass to `navigator.credentials.get({ publicKey })`.

Example

Request

POST https://api.platform-auth.productcraft.co/v1/auth/step-up/webauthn/options
Authorization: Bearer YOUR_TOKEN

Response

{
  "public_key": {}
}